Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	GPAC is an implementation of the MPEG-4 Systems standard developed from scratch in ANSI C.
Name:      	gpac
Version:   	0.4.5
Release:   	1
License: 	GPL-2
URL:		http://gpac.sourceforge.net
Group:     	Video
Source0: 	%{name}-%{version}.tar.gz
Source1:	26104-610.zip
Source2:	26204-600.zip
Patch2:		gpac-0.4.2-ffmpeg-snapshots-compat.patch
Patch3:		gpac-0.4.5-javascript.patch
Patch4:		gpac-0.4.5-ffmpeg_includes.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Provides:	libgpac.so
BuildRequires:	unzip  
BuildRequires:	which
BuildRequires:	librsvg-devel
BuildRequires:  liba52-devel
BuildRequires:  pulseaudio-libs-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: faad2-devel
BuildRequires: ffmpeg-devel
BuildRequires: freeglut-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXv-devel
BuildRequires: mesa-libGL-devel
BuildRequires: openjpeg-devel
BuildRequires: openssl-devel
BuildRequires: SDL-devel
BuildRequires: wxGTK-devel
BuildRequires: xulrunner-devel
BuildRequires: xvidcore-devel
BuildRequires: zlib-devel

%description
GPAC is an implementation of the MPEG-4 Systems standard developed from scratch in ANSI C.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name} -a1 -a2
#%patch0
#%patch1 -p0
%patch2 -p1 
sed -ie '/ldconfig / d' "Makefile"
unzip -jaq 26104-610_ANSI_C_source_code.zip -d modules/amr_float_dec/amr_nb_ft
unzip -jaq 26204-600_ANSI-C_source_code.zip -d modules/amr_float_dec/amr_wb_ft
%patch3 -p1
%patch4 -p1
chmod u+x configure

%build
export LDFLAGS="$LDFLAGS -L/usr/lib/xulrunner-1.9.2"
./configure --prefix=%_prefix --extra-ldflags="$LDFLAGS" --mandir=%_mandir \
	--use-ogg=system --use-vorbis=system --use-theora=system \
	--enable-amr --enable-opengl --enable-oss-audio --enable-ssl \
	--use-ffmpeg=system --use-faad=system --use-jpeg=system \
	--use-mad=system --use-js=system --use-png=system --use-ft=system \
	--use-xvid=system --with-jsapi-include=/usr/include/firefox/js
make OPTFLAGS="${CFLAGS}"

%install
rm -rf $RPM_BUILD_ROOT 

make OPTFLAGS="${CFLAGS}" install DESTDIR=$RPM_BUILD_ROOT
make OPTFLAGS="${CFLAGS}" install-lib DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/MP4Box
%{_bindir}/MP4Client
%{_bindir}/Osmo4
%{_libdir}/gpac/gm_aac_in.so
%{_libdir}/gpac/gm_ac3_in.so
%{_libdir}/gpac/gm_alsa.so
%{_libdir}/gpac/gm_amr_float_dec.so
%{_libdir}/gpac/gm_bifs_dec.so
%{_libdir}/gpac/gm_ctx_load.so
%{_libdir}/gpac/gm_dummy_in.so
%{_libdir}/gpac/gm_ffmpeg_in.so
%{_libdir}/gpac/gm_ft_font.so
%{_libdir}/gpac/gm_gpac_js.so
%{_libdir}/gpac/gm_img_in.so
%{_libdir}/gpac/gm_ismacryp.so
%{_libdir}/gpac/gm_isom_in.so
%{_libdir}/gpac/gm_jack.so
%{_libdir}/gpac/gm_laser_dec.so
%{_libdir}/gpac/gm_mp3_in.so
%{_libdir}/gpac/gm_mpegts_in.so
%{_libdir}/gpac/gm_odf_dec.so
%{_libdir}/gpac/gm_ogg_xiph.so
%{_libdir}/gpac/gm_oss_audio.so
%{_libdir}/gpac/gm_raw_out.so
%{_libdir}/gpac/gm_rtp_in.so
%{_libdir}/gpac/gm_saf_in.so
%{_libdir}/gpac/gm_sdl_out.so
%{_libdir}/gpac/gm_soft_raster.so
%{_libdir}/gpac/gm_svg_in.so
%{_libdir}/gpac/gm_timedtext.so
%{_libdir}/gpac/gm_x11_out.so
%{_libdir}/gpac/gm_xvid_dec.so
%{_libdir}/libgpac-%{version}.*
%{_libdir}/libgpac.so
%{_datadir}/gpac/gpac.mp4
%{_mandir}/man1/gpac.1.gz
%{_mandir}/man1/mp4box.1.gz
%{_mandir}/man1/mp4client.1.gz


%files devel
%defattr(-,root,root)
%{_includedir}/gpac
%{_libdir}/libgpac_static.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.4.4-2
- recompile against new ffmpeg
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 0.4.4-1
- Version update
* Thu Jan 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.2-1
- Initial Release
